#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.0
visibility:           public
id:                   lsp-1.2.0.0-185dp3aE5P0DJLa3FMmpYq
key:                  lsp-1.2.0.0-185dp3aE5P0DJLa3FMmpYq
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  079fef291f302ab456cbeb28196349eb
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.2.0.0-GkW28TaIEHNGx7BbxCBGJK:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.2.0.0-GkW28TaIEHNGx7BbxCBGJK:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.2.0.0-GkW28TaIEHNGx7BbxCBGJK:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.2.0.0-GkW28TaIEHNGx7BbxCBGJK:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-1.2.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-1.2.0.0
hs-libraries:         HSlsp-1.2.0.0-185dp3aE5P0DJLa3FMmpYq
depends:
    aeson-1.5.6.0-APBE3PUwRlP3dNFj9eIcL4
    async-2.2.3-DvF9gf9qyfPK6D6feIe45y
    attoparsec-0.14.1-C6wGreXaJC9Hw3F0wMqT0I base-4.14.1.0
    bytestring-0.10.12.0 containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV
    dependent-map-0.4.0.0-DH59LMAWOa7KM83pSr0m5R directory-1.3.6.0
    filepath-1.4.2.1 hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R
    hslogger-1.3.1.0-B2M4NnRCb0SAg4x4qf21Jo
    lens-5.0.1-I0DeVMcpoy91B4Fyt8sQyz
    lsp-types-1.2.0.0-GkW28TaIEHNGx7BbxCBGJK mtl-2.2.2
    network-uri-2.6.4.1-Hi4x2VJ9H28GCQKCdI7ndh
    random-1.2.0-IgxPFWwCjnD1SXfjtysFzY
    scientific-0.3.7.0-KCh24HsT89PHzfe66i6CI6
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.14.0-HPNAhY9eekUIwMlQFAvZlw
    uuid-1.3.15-qzWwm79GFw7W3gZDv0gFh

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

